sc::SlaterXFunctional(3)

NAME
sc::SlaterXFunctional - Implements the Slater exchange functional.

SYNOPSIS

#include <functional.h>

Inherits sc::DenFunctional.

  Public Methods
SlaterXFunctional ()
SlaterXFunctional (const Ref< KeyVal > &)
SlaterXFunctional (StateIn &)
~SlaterXFunctional ()
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void point (const PointInputData &, PointOutputData &)

DETAILED DESCRIPTION

Implements the Slater exchange functional.

MEMBER FUNCTION DOCUMENTATION

  void sc::SlaterXFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.